Package Details: otf-vollkorn 4.105-2

Git Clone URL: https://aur.archlinux.org/otf-vollkorn.git (read-only, click to copy)
Package Base: otf-vollkorn
Description: Vollkorn typeface by Friedrich Althausen (OpenType)
Upstream URL: http://vollkorn-typeface.com/
Licenses: OFL
Submitter: jdarch
Maintainer: lucaswerkmeister
Last Packager: lucaswerkmeister
Votes: 16
Popularity: 0.077112
First Submitted: 2014-01-25 22:14
Last Updated: 2020-03-31 22:25

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

lucaswerkmeister commented on 2020-03-31 22:27

Thanks, I somehow thought you could combine any custom font name with a longer name. Fixed now, I hope :)

caleb commented on 2020-03-31 21:54

@lucaswerkmeister Please read the license link I left again, the longer name only applies to custom: licenses. The OFL is considered standard now having been included in many [community] packages. Like MIT, BSD, Python, and a few others you still have to package the license file yourself because it contains a customized clause for the Reserved Font Name.

lucaswerkmeister commented on 2020-03-31 20:01

I wasn’t sure if bumping the pkgrel was necessary – I figured this was an optional change that would be “nice to have” for people newly installing the package, but didn’t have to be rolled out to existing installs. I can also bump it, though.

But I’m not sure what you mean about the license… the arch wiki says that there can be a longer name after the license identifier (which would be the “SIL Open Font License” part), is that not considered good practice or something?

caleb commented on 2020-03-31 08:51

Thanks for removing the obsolete dependencies (related issue, guidelines). Can you also please bump the package version so that this change actually propagates? While you are at it, the license should be license=('OFL') (source, the license file does still need to be packaged).

lucaswerkmeister commented on 2017-09-08 00:00

tsuflux, thanks a lot for the explanation! I’ve updated the package accordingly.

tsuflux commented on 2017-09-01 23:21

lucaswerkmeister, there is xorg-mkfontdir.hook which calls mkfontscale and mkfontdir. It is provided by the xorg-mkfontdir package which in turn is required by xorg-font-utils. Thus you can drop the install file.

lucaswerkmeister commented on 2017-08-15 14:52

tinxy: what do you mean? Is there a standard pacman hook for mkfontscale+mkfontdir? (I only found one that updates fc-cache.)

tinxy commented on 2017-08-10 15:11

Install files are no longer necessary in most cases.

lucaswerkmeister commented on 2017-03-02 15:38

I’ve adopted the package to update it to Vollkorn 4.012, which was released yesterday. Please let me know if there’s anything wrong, or if you’d like to adopt the package instead (I’m not a font expert at all).

jdarch commented on 2016-02-11 19:43

I have changed the PKGBUILD, it should be fine now. People who already have 3.005-1 installed do not have to rebuild/install, people who failed to build because of the error mentioned by sprocklem below should be able to build 3.005-1 now.